<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * CatalogoSemaforos
 *
 * @ORM\Table(name="catalogo_semaforos")
 * @ORM\Entity
 */
class CatalogoSemaforos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_cat_sem", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideCatSem;

    /**
     * @var string
     *
     * @ORM\Column(name="semaforo", type="string", length=255, nullable=false)
     */
    private $semaforo;

    /**
     * @var string
     *
     * @ORM\Column(name="descripcion", type="string", length=255, nullable=false)
     */
    private $descripcion;

    /**
     * @var integer
     *
     * @ORM\Column(name="valor", type="integer", nullable=false)
     */
    private $valor;



    /**
     * Get ideCatSem
     *
     * @return integer
     */
    public function getIdeCatSem()
    {
        return $this->ideCatSem;
    }

    /**
     * Set semaforo
     *
     * @param string $semaforo
     *
     * @return CatalogoSemaforos
     */
    public function setSemaforo($semaforo)
    {
        $this->semaforo = $semaforo;
    
        return $this;
    }

    /**
     * Get semaforo
     *
     * @return string
     */
    public function getSemaforo()
    {
        return $this->semaforo;
    }

    /**
     * Set descripcion
     *
     * @param string $descripcion
     *
     * @return CatalogoSemaforos
     */
    public function setDescripcion($descripcion)
    {
        $this->descripcion = $descripcion;
    
        return $this;
    }

    /**
     * Get descripcion
     *
     * @return string
     */
    public function getDescripcion()
    {
        return $this->descripcion;
    }

    /**
     * Set valor
     *
     * @param integer $valor
     *
     * @return CatalogoSemaforos
     */
    public function setValor($valor)
    {
        $this->valor = $valor;
    
        return $this;
    }

    /**
     * Get valor
     *
     * @return integer
     */
    public function getValor()
    {
        return $this->valor;
    }
}
